Bug 182680 - [WinCario] Add NetworkSessionCurl
Summary: [WinCario] Add NetworkSessionCurl
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKit2 (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords: InRadar
Depends on:
Blocks: 174003
  Show dependency treegraph
 
Reported: 2018-02-11 20:41 PST by Yousuke Kimoto
Modified: 2018-02-16 11:35 PST (History)
12 users (show)

See Also:


Attachments
Patch (6.21 KB, patch)
2018-02-11 21:00 PST, Yousuke Kimoto
no flags Details | Formatted Diff | Diff
Patch (6.20 KB, patch)
2018-02-15 23:35 PST, Yousuke Kimoto
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuke Kimoto 2018-02-11 20:41:17 PST
NetworkSessionCurl is added for wincairo webkit.
Comment 1 Yousuke Kimoto 2018-02-11 21:00:11 PST
Created attachment 333577 [details]
Patch
Comment 2 Yousuke Kimoto 2018-02-15 23:35:47 PST
Created attachment 334013 [details]
Patch

Fixed copyright's year
Comment 3 Konstantin Tokarev 2018-02-16 05:44:09 PST
Looks like generic "dummy" implementation at this point. Is there any curl-specific code planned?
Comment 4 Don Olmstead 2018-02-16 10:51:33 PST
(In reply to Konstantin Tokarev from comment #3)
> Looks like generic "dummy" implementation at this point. Is there any
> curl-specific code planned?

Yes most definitely. Basuke is doing some additional refactors within WebCore to get this all going.
Comment 5 WebKit Commit Bot 2018-02-16 11:34:18 PST
Comment on attachment 334013 [details]
Patch

Clearing flags on attachment: 334013

Committed r228567: <https://trac.webkit.org/changeset/228567>
Comment 6 WebKit Commit Bot 2018-02-16 11:34:19 PST
All reviewed patches have been landed.  Closing bug.
Comment 7 Radar WebKit Bug Importer 2018-02-16 11:35:26 PST
<rdar://problem/37612540>